//
//  YHWorkExperienceDetailModel.swift
//  galaxy
//
//  Created by EDY on 2024/2/22.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import Foundation
import SmartCodable

class YHWorkExperienceDetailModel: SmartCodable {
    var work_id: Int  = 0
    var order_id: Int  = 0
    var company_name: String  = ""
    var professional_level: Int  = 0
    var work_certificate: String = ""
    var has_finish_basic_question: Int = 0
    var work_duty: String = ""
    var work_highlights: String = ""
    
    var file: [YHWorkExperienceFileModel] = []
    
    required init() {
    }
}

class YHWorkExperienceFileModel: SmartCodable {
    var fileName: String  = ""
    var fileUrl: String  = ""
    var uploadedAt: String  = ""
    var isSelect: Bool = false 
    required init() {
    }
}

class YHWorkExperienceStepModel: SmartCodable {
    var step: Int  = 0
    var step_name: String  = ""
    required init() {
    }
}

